=== debian/changelog ===
eternalforest-by-soulman (1.0-0ddebs1~debian13) trixie; urgency=medium

  * Initial release.

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sat, 20 Dec 2025 01:29:32 +0100
