=== debian/control ===
Source: eternalforest-by-soulman
Section: demos
Priority: optional
Maintainer: Nicolas HOUDELOT <nicolas@demosdebs.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 shader-minifier:native,
 unifdef:native,
 libgtk-3-dev,
 libgles-dev,
 pkgconf,
 dh-exec (>=0.3)
Standards-Version: 4.6.2
Homepage: https://github.com/knutae/solskogen-2020

Package: eternalforest-by-soulman
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 common-install-function-ddebs(>=1.61),
Description: 4k procedural gfx by Soulman, released in 2020
 Raymarched forest written in GLSL and C.
 5th at 4k executable graphics compo for the Solskogen 2020 demoparty.
