=== debian/rules ===
#!/usr/bin/make -f

export PKG_CONFIG_PATH=/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- debug
